POST api/PubSub/RegisterSubscription

Request Information

URI Parameters

None.

Body Parameters

UserAuthenticationCheckV2
NameDescriptionTypeAdditional information
md5Token

string

None.

userId

integer

None.

accountId

integer

None.

purchaseToken

string

None.

packageID

string

None.

Request Formats

application/json, text/json

Sample:
{
  "md5Token": "sample string 1",
  "userId": 2,
  "accountId": 3,
  "purchaseToken": "sample string 4",
  "packageID": "sample string 5"
}

text/plain, application/octet-stream

Sample:
{"md5Token":"sample string 1","userId":2,"accountId":3,"purchaseToken":"sample string 4","packageID":"sample string 5"}

application/xml, text/xml

Sample:
<UserAuthenticationCheckV2 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services">
  <accountId>3</accountId>
  <md5Token>sample string 1</md5Token>
  <packageID>sample string 5</packageID>
  <purchaseToken>sample string 4</purchaseToken>
  <userId>2</userId>
</UserAuthenticationCheckV2>

multipart/form-data, application/form-data

Sample:
<UserAuthenticationCheckV2 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Services"><accountId>3</accountId><md5Token>sample string 1</md5Token><packageID>sample string 5</packageID><purchaseToken>sample string 4</purchaseToken><userId>2</userId></UserAuthenticationCheckV2>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

Object

None.

Response Formats

application/json, text/json, text/plain, application/octet-stream

Sample:
{}

application/xml, text/xml, multipart/form-data, application/form-data

Sample:
<z:anyType xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns:z="http://schemas.microsoft.com/2003/10/Serialization/" />